Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class ValidatorImpl.ErrorListenerWrappingErrorHandler

    java.lang.Object
      com.saxonica.validate.ValidatorImpl.ErrorListenerWrappingErrorHandler

All Implemented Interfaces:
  javax.xml.transform.ErrorListener

Enclosing class:
  ValidatorImpl

public static class ValidatorImpl.ErrorListenerWrappingErrorHandler
extends java.lang.Object
implements javax.xml.transform.ErrorListener

A JAXP ErrorListener that wraps a SAX ErrorHandler

Constructor Summary
`ValidatorImpl.ErrorListenerWrappingErrorHandler(org.xml.sax.ErrorHandler handler)`

Method Summary
`void` | `error(javax.xml.transform.TransformerException exception)` Receive notification of a recoverable error.
`void` | `fatalError(javax.xml.transform.TransformerException exception)` Receive notification of a non-recoverable error.
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`void` | `warning(javax.xml.transform.TransformerException exception)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorImpl.ErrorListenerWrappingErrorHandler

    public ValidatorImpl.ErrorListenerWrappingErrorHandler(org.xml.sax.ErrorHandler handler)

Method Detail

### warning

    public void warning(javax.xml.transform.TransformerException exception)
                 throws javax.xml.transform.TransformerException

  Receive notification of a warning.

  Specified by:
    `warning` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

### error

    public void error(javax.xml.transform.TransformerException exception)
               throws javax.xml.transform.TransformerException

  Receive notification of a recoverable error.

  Specified by:
    `error` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

### fatalError

    public void fatalError(javax.xml.transform.TransformerException exception)
                    throws javax.xml.transform.TransformerException

  Receive notification of a non-recoverable error.

  Specified by:
    `fatalError` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD